For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • POSTEndpoint to batch create external files without uploading.
      • GETReturns all files of the workspace with the specified id.
      • POSTCreates a new workspace file for the workspace with the specified id..
      • DELDeletes the files of the specified workspace.
      • POSTUploads a new file by providing an url.
      • GETReturns the file with the specified id of the workspace with the specified id.
      • PUTUpdates the metadata of the workspace file with the specified id.
      • DELDeletes the workspace file with the specified id.
      • POSTChanges the workspace this file belongs to.
      • POSTCopies the file to a new workspace.
      • GETReturns the content of the file with the specified id as pdf. type or conversion not possible.
      • GETReturns an url to share the file.
      • GETReturns all file versions of the specified workspace file.
      • POSTUploads a new version of the workspace file with the specified id.
      • GETReturns the workspace file version with the specified id.
      • GETReturns the content of the workspace file version with the specified id.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceWorkspace Files

Returns the content of the workspace file version with the specified id.

GET
https://api.awork.com/api/v1/workspaces/:workspaceId/files/:fileId/versions/:versionId/download
GET
/api/v1/workspaces/:workspaceId/files/:fileId/versions/:versionId/download
$curl https://api.awork.com/api/v1/workspaces/workspaceId/files/fileId/versions/versionId/download \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{}
Returns the content of the workspace file version with the specified id. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Endpoint to batch create external files without uploading.

Next
Built with

Returns the content of the workspace file version with the specified id.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workspaceIdstringRequiredformat: "uuid"
The id of the workspace.
fileIdstringRequiredformat: "uuid"
The id of the file.
versionIdstringRequiredformat: "uuid"
The id of the file version.

Response

OK